# Generated from base64-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name base64

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: %{autorelease}
Summary: Support for encoding and decoding binary data using a Base64 representation
License: Ruby and BSD-2-Clause
URL: https://github.com/ruby/base64
Source0: %{url}/archive/v%{version}/%{gem_name}-%{version}.tar.gz
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(test-unit)
BuildArch: noarch

%description
Support for encoding and decoding binary data using a Base64 representation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
rake test
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
# Do not package javascript
%exclude %{gem_docdir}/rdoc

%changelog
%autochangelog
